import { PlatformToChains, UniversalOrNative } from '@wormhole-foundation/connect-sdk';
import { TransactionRequest } from 'ethers';
export declare const unusedNonce = 0;
export declare const unusedArbiterFee = 0n;
export declare const _platform: 'Evm';
export type EvmPlatformType = typeof _platform;
export type EvmChains = PlatformToChains<EvmPlatformType>;
export type UniversalOrEvm = UniversalOrNative<EvmChains>;
export type AnyEvmAddress = UniversalOrEvm | string | Uint8Array;
export declare const addFrom: (txReq: TransactionRequest, from: string) => {
    from: string;
    type?: number;
    to?: import("ethers").AddressLike;
    nonce?: number;
    gasLimit?: import("ethers").BigNumberish;
    gasPrice?: import("ethers").BigNumberish;
    maxPriorityFeePerGas?: import("ethers").BigNumberish;
    maxFeePerGas?: import("ethers").BigNumberish;
    data?: string;
    value?: import("ethers").BigNumberish;
    chainId?: import("ethers").BigNumberish;
    accessList?: import("ethers").AccessListish;
    customData?: any;
    blockTag?: import("ethers").BlockTag;
    enableCcipRead?: boolean;
};
export declare const addChainId: (txReq: TransactionRequest, chainId: bigint) => {
    chainId: bigint;
    type?: number;
    to?: import("ethers").AddressLike;
    from?: import("ethers").AddressLike;
    nonce?: number;
    gasLimit?: import("ethers").BigNumberish;
    gasPrice?: import("ethers").BigNumberish;
    maxPriorityFeePerGas?: import("ethers").BigNumberish;
    maxFeePerGas?: import("ethers").BigNumberish;
    data?: string;
    value?: import("ethers").BigNumberish;
    accessList?: import("ethers").AccessListish;
    customData?: any;
    blockTag?: import("ethers").BlockTag;
    enableCcipRead?: boolean;
};
export declare const addValue: (txReq: TransactionRequest, value: bigint) => {
    value: bigint;
    type?: number;
    to?: import("ethers").AddressLike;
    from?: import("ethers").AddressLike;
    nonce?: number;
    gasLimit?: import("ethers").BigNumberish;
    gasPrice?: import("ethers").BigNumberish;
    maxPriorityFeePerGas?: import("ethers").BigNumberish;
    maxFeePerGas?: import("ethers").BigNumberish;
    data?: string;
    chainId?: import("ethers").BigNumberish;
    accessList?: import("ethers").AccessListish;
    customData?: any;
    blockTag?: import("ethers").BlockTag;
    enableCcipRead?: boolean;
};
//# sourceMappingURL=types.d.ts.map